Bug 1455132 - [RFE]: Filter roles by assigned permissions in UI
Summary: [RFE]: Filter roles by assigned permissions in UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Kavita
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-24 10:24 UTC by Peter Ondrejka
Modified: 2019-11-05 23:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:07 UTC
Foreman Issue Tracker 20047 None None None 2017-06-19 15:15:51 UTC

Description Peter Ondrejka 2017-05-24 10:24:02 UTC
It would be useful to have a possibility to filter out roles that have a specific permission. This would help users to explore what predefined roles have to offer as well as to keep track of their own custom roles.

Comment 1 Marek Hulan 2017-06-19 15:15:49 UTC
Created redmine issue http://projects.theforeman.org/issues/20047 from this bug

Comment 2 Marek Hulan 2017-06-19 15:20:25 UTC
I agree this would be nice addition. Sadly, it's currently blocked by bug in 3rd party library that we use for searching.

Comment 3 pm-sat@redhat.com 2017-07-14 12:02:30 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 4 pm-sat@redhat.com 2017-07-26 14:02:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20047 has been resolved.

Comment 5 Peter Ondrejka 2018-05-30 14:42:04 UTC
Verified on 6.4 snap 5 with various combinations of search filters

Comment 7 errata-xmlrpc 2018-10-16 15:27:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.